﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewAdvancedEditAppointmentDialogWPF
{
	public class CustomAppointment : Appointment
	{
		private TimeSpan _duration;
		public TimeSpan Duration
		{
			get
			{
				return this.Storage<CustomAppointment>()._duration;
			}
			set
			{
				var storage = this.Storage<CustomAppointment>();
				if (storage._duration != value)
				{
					storage._duration = value;
					this.OnPropertyChanged(() => this.Duration);
				}
			}
		}


		public override IAppointment Copy()
		{
			var newAppointment = new CustomAppointment();
			newAppointment.CopyFrom(this);
			return newAppointment;
		}
		public override void CopyFrom(IAppointment other)
		{
			var app = other as CustomAppointment;
			if (app != null)
			{
				this.Duration = app.Duration;
			}
			base.CopyFrom(other);
		}
	}
}
